Skip to content

Get current profile's XP Season 2 decision

GET
/xp/decision
curl --request GET \
--url https://api.ethos.network/api/v2/xp/decision \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Successful response

Media typeapplication/json
Any of:
object
profileId
required
integer
> 0 <= 2147483647
seasonId
required
number
decisionType
required
string
Allowed values: SPEND DELEGATE NOTHING
delegations
required
Array<object>
object
validatorTokenId
required
string
xpAmount
required
integer
<= 9007199254740991
createdAt
required
string
updatedAt
required
string

Example

{
"decisionType": "SPEND"
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}